Bug 1303361 - [DOCS] [3.2] Document the restriction on targeting nodes for pod scheduling
[DOCS] [3.2] Document the restriction on targeting nodes for pod scheduling
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: brice
DeShuai Ma
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-31 06:09 EST by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 21:25:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-01-31 06:09:01 EST
In OSE 3.2, an administrator will not be able to schedule pods with a specific node in mind. 

As of creating this bug the work on this feature is still underway, so check closer to the development whether this will make it in 3.2 and if it will impact OSE 3.2.

Dev for this feature is:
Abhishek Gupta, John Lamb

Trello card is:
https://trello.com/c/cGz8l1zD/504-3-user-should-not-be-able-to-target-a-specific-node-for-pod-scheduling

QA for this feature is:
Deshuai Ma

Likely Guide:
It might be sufficient to put this as a warning or note in the Admin Guide here but please make sure to cover a use case and consider if this may need to be mentioned in other guides.
https://docs.openshift.com/enterprise/3.1/admin_guide/scheduler.html
Comment 2 brice 2016-03-22 00:44:27 EDT
PR created for this BZ:

https://github.com/openshift/openshift-docs/pull/1721

I'll put this onto QA.

Deshuai Ma, please let me know if any information needs to be added to the PR. The trello card above has the process, which you have tested before. Thank you!
Comment 3 DeShuai Ma 2016-03-22 01:05:01 EDT
add comment to your pr
Comment 4 DeShuai Ma 2016-03-22 01:05:37 EDT
When this pr is merged, I will verify this bug.
Comment 5 brice 2016-03-31 01:06:51 EDT
Deshuai Ma, this is ready for another QA. Unfortunately, I can't merge this until it passes QA, so if you have any issues with the PR as it is now, please let me know. Then once it is verified then it can be merged:

https://github.com/openshift/openshift-docs/pull/1721

Thanks!
Comment 6 DeShuai Ma 2016-03-31 01:44:04 EDT
(In reply to brice from comment #5)
> Deshuai Ma, this is ready for another QA. Unfortunately, I can't merge this
> until it passes QA, so if you have any issues with the PR as it is now,
> please let me know. Then once it is verified then it can be merged:
> 
> https://github.com/openshift/openshift-docs/pull/1721
> 
> Thanks!

Add comment to the PR. thanks.
Comment 7 openshift-github-bot 2016-04-15 02:04:47 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/ad3c731eb60cf066434291d439c7451131ea8504
Merge pull request #1862 from bfallonf/2-bz1303361

Bug: 1303361 Added info on constraining pod placement

Note You need to log in before you can comment on or make changes to this bug.